> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get an analytic template by name

GET https://example.itential.io/mop/listAnAnalyticTemplate/{name}

Returns an Analytic Template by name.

Reference: https://docs.itential.com/itential-platform/6/api-reference/mop/list-an-analytic-template

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `name` (string, required) — Name of the Analytic Template.

## Response

### 200

Single Analytic Template wrapped in an array.

- `list of object`
  - `name` (string, required)
  - `_id` (string, optional)
  - `description` (string, optional)
  - `namespace` (object, optional, nullable)
    - `type` (any, optional)
    - `_id` (string, optional)
    - `name` (string, optional)
    - `accessControl` (object, optional)
      - `read` (list of string, optional)
      - `execute` (list of string, optional)
      - `write` (list of string, optional)
      - `manage` (list of string, optional)
  - `os` (string, optional)
  - `passRule` (boolean, optional)
  - `prepostCommands` (list of object, optional)
    - `preRawCommand` (string, optional)
    - `postRawCommand` (string, optional)
    - `passRule` (boolean, optional)
    - `rules` (list of object, optional)
      - `type` (string, optional)
      - `preRegex` (string, optional)
      - `postRegex` (string, optional)
      - `evaluation` (string, optional)
    - `preCommandResHTML` (string, optional)
    - `postCommandResHTML` (string, optional)
  - `created` (integer, optional)
  - `createdBy` (string, optional, nullable)
  - `lastUpdated` (integer, optional)
  - `lastUpdatedBy` (string, optional, nullable)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
[
  {
    "name": "ASR1K-MOP",
    "_id": "ASR1K-MOP",
    "description": "Example description",
    "namespace": null,
    "os": "cisco-ios",
    "passRule": true,
    "prepostCommands": [
      {
        "preRawCommand": "show running-config ip prefix-list",
        "postRawCommand": "show running-config ip prefix-list",
        "passRule": true,
        "rules": [
          {
            "type": "regex",
            "preRegex": "",
            "postRegex": "",
            "evaluation": "="
          }
        ],
        "preCommandResHTML": "Test a command or the template to get results here",
        "postCommandResHTML": "Test a command or the template to get results here"
      }
    ],
    "created": 1508182880981,
    "createdBy": "exampleUser",
    "lastUpdated": 1508182880981,
    "lastUpdatedBy": "exampleUser"
  }
]
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/mop/listAnAnalyticTemplate/name"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/mop/listAnAnalyticTemplate/name';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/mop/listAnAnalyticTemplate/name"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/mop/listAnAnalyticTemplate/name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/mop/listAnAnalyticTemplate/name")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/mop/listAnAnalyticTemplate/name');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/mop/listAnAnalyticTemplate/name");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/mop/listAnAnalyticTemplate/name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```